using UnityEngine;

public class ColliderResizer : MonoBehaviour {
    public float scaleFactor = 0.8f;

    void Start() {
        ResizeColliders();
    }

    void ResizeColliders() {
        Collider[] colliders = GetComponentsInChildren<Collider>();
        foreach(Collider collider in colliders) {
            if(collider != null) {
                // MeshColliderを除外することで、見た目の大きさが変更されないようにします
                if(!(collider is MeshCollider)) {
                    // コライダーのサイズを変更する例
                    collider.transform.localScale *= scaleFactor;
                }
            }
        }
    }

}
